rho = rho_re_1 + i*rho_im_1;

test= zeros(length(t_1),4,4);

for tt=1:length(t_1),
%reshape density matrix into an actual matrix:
   rhomat = reshape(squeeze(rho(tt,:,:,:,:)),4,4);
   rhoadjoint = rhomat';
   
   test(tt,:,:) = rhomat-rhoadjoint;
   NonHermi(tt)=max(abs(test(tt,:)));
   
end

plot(t_1,NonHermi)
xlabel(['t'])
ylabel(['NonH'])
title(['this should remain zero'])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
